#define _WIN32_WINNT 0x0600
#include <windows.h>

int APIENTRY WinMain(HINSTANCE, HINSTANCE, LPSTR, int) {
	HWND hwnd = FindWindow("MediaPlayerClassicW", NULL);

	if (!hwnd)
		return 5;

	DWORD dwExStyle = GetWindowLong(hwnd, GWL_EXSTYLE);

	if (dwExStyle & WS_EX_LAYERED) {
		SetWindowLong(hwnd, GWL_EXSTYLE, dwExStyle & ~WS_EX_LAYERED & ~WS_EX_TRANSPARENT);
		SetWindowPos(hwnd, NULL, 0, 0, 0, 0, SWP_NOMOVE | SWP_NOSIZE | SWP_NOZORDER | SWP_NOACTIVATE | SWP_FRAMECHANGED);
	} else {
		SetWindowLong(hwnd, GWL_EXSTYLE, dwExStyle | WS_EX_LAYERED);
		SetWindowPos(hwnd, NULL, 0, 0, 0, 0, SWP_NOMOVE | SWP_NOSIZE | SWP_NOZORDER | SWP_NOACTIVATE | SWP_FRAMECHANGED);
		SetLayeredWindowAttributes(hwnd, RGB(255, 0, 255), 0x60, LWA_ALPHA);
		SetWindowLong(hwnd, GWL_EXSTYLE, dwExStyle | WS_EX_LAYERED | WS_EX_TRANSPARENT);
		SetWindowPos(hwnd, NULL, 0, 0, 0, 0, SWP_NOMOVE | SWP_NOSIZE | SWP_NOZORDER | SWP_NOACTIVATE | SWP_FRAMECHANGED);
	}

	return 0;
}
